!*************************************************************************
! This file is part of
!
!       HiggsBounds 3.7.0 beta (fortran 77 version)
!
! by Philip Bechtle, Oliver Brein, Sven Heinemyer, Georg Weiglein
!    and Karina E. Williams.
!
!  Journal References: 
!     Version 1.0.0: Comput.Phys.Commun.181:138-167,2010 (arXiv:0811.4169 [hep-ph]),
!     Version 2.0.0: Comput.Phys.Commun.182:2605-2631,2011 (arXiv:1102.1898 [hep-ph])
!  Web site: http://projects.hepforge.org/higgsbounds/
!
! started 21/10/2011
!*************************************************************************


        logical CMDLINE
        common /HB_usage_mode/ CMDLINE
  
  
        integer lineno
        common /current_lineno/ lineno

        integer NHIGGS,NHPLUS
        common /Higgs_numbers/ NHIGGS,NHPLUS
        
        character*5 whichexpt
        common /chosen_analyses/ whichexpt

        integer CP_value(NHMAX)
        common /CP_properties/ CP_value

! neutral Higgs bosons        
        double precision Mh(NHMAX)
        common /neutral_Higgs_masses/ Mh

! LEP CS ratios        
        double precision CS_lep_hjZ_ratio(NHMAX),
     &		CS_lep_bbhj_ratio(NHMAX),
     &		CS_lep_tautauhj_ratio(NHMAX),        
     &		CS_lep_hjhi_ratio(NHMAX,NHMAX)
        common /lep_neutral_CS_ratios/ CS_lep_hjZ_ratio,CS_lep_bbhj_ratio,
     &		CS_lep_tautauhj_ratio,CS_lep_hjhi_ratio

! Tevatron CS ratios             
        double precision CS_tev_hj_ratio(NHMAX),
     &          CS_tev_hjb_ratio(NHMAX),
     &		CS_tev_hjW_ratio(NHMAX),
     &          CS_tev_hjZ_ratio(NHMAX),
     &		CS_tev_vbf_ratio(NHMAX),
     &          CS_tev_tthj_ratio(NHMAX)
        common /tev_CS_ratios/ CS_tev_hj_ratio,
     &          CS_tev_hjb_ratio,CS_tev_hjW_ratio,   
     &          CS_tev_hjZ_ratio,CS_tev_vbf_ratio,
     &		CS_tev_tthj_ratio
     
! LHC7 CS ratios             
        double precision CS_lhc7_hj_ratio(NHMAX),
     &          CS_lhc7_hjb_ratio(NHMAX),
     &		CS_lhc7_hjW_ratio(NHMAX),
     &          CS_lhc7_hjZ_ratio(NHMAX),
     &		CS_lhc7_vbf_ratio(NHMAX),
     &          CS_lhc7_tthj_ratio(NHMAX)
        common /tev_CS_ratios/ CS_lhc7_hj_ratio,
     &          CS_lhc7_hjb_ratio,CS_lhc7_hjW_ratio,   
     &          CS_lhc7_hjZ_ratio,CS_lhc7_vbf_ratio,
     &		CS_lhc7_tthj_ratio     
     
! BRs
        double precision BR_hjss(NHMAX),BR_hjcc(NHMAX),BR_hjbb(NHMAX),
     &		BR_hjmumu(NHMAX),BR_hjtautau(NHMAX),
     &		BR_hjWW(NHMAX),BR_hjZZ(NHMAX),
     &          BR_hjgaga(NHMAX),BR_hjZga(NHMAX),BR_hjgg(NHMAX),
     &		BR_hjinvisible(NHMAX),BR_hjhihi(NHMAX,NHMAX)
        common /neutral_branching_ratios/ BR_hjss,BR_hjcc,BR_hjbb,
     &          BR_hjmumu,BR_hjtautau,
     &		BR_hjWW,BR_hjZZ,BR_hjgaga,BR_hjZga,BR_hjgg, 
     &          BR_hjinvisible,BR_hjhihi


! charged Higgs bosons        
        
        double precision MHplus(NHMAX)
        common /charged_Higgs_masses/ MHplus

        double precision CS_lep_HpjHmj_ratio(NHMAX)
        common /lep_charged_CS_ratios/ CS_lep_HpjHmj_ratio
        
        double precision BR_tWpb,BR_tHpjb(NHMAX),BR_Hpjcs(NHMAX),
     &  	BR_Hpjcb(NHMAX),BR_Hpjtaunu(NHMAX)
        common /charged_branching_ratios/ BR_tWpb,BR_tHpjb,BR_Hpjcs,
     &          BR_Hpjcb,BR_Hpjtaunu     
     
     
